Subject: Re: [bug#29301] [PATCH] substitute* hard-coded paths with paths from "out"

From: [email-masked] (Ludovic Courtès)
Date: Mon, 27 Nov 2017 09:51:56 +0100

Hi,

(Please always keep the bug Cc’d.)

Kristofer Buffington <[email-masked]> skribis:

> I will investigate. There are some hard coded paths in artanis/config.scm
> looking for the configuration file in /etc/artanis/artanis.conf -- I don't
> believe the --sysconfdir flag will have any impact on the hard-coded paths.
> Perhaps I should send a patch upstream to eliminate the hard paths? Then
> the substitute* would be unnecessary?

--sysconfdir would not change the hard-coded file names, but it would
actually make those hard-coded file names valid.  And again, using /etc
as the sysconfdir would allow people to have a writable artanis.conf
file, for instance, so that’s definitely something we should do.

Thanks,
Ludo’.